#pragma once
#include <vector>
using namespace std;

vector<double> test_A(const size_t &NLOOPS, const size_t &N);

vector<double> test_A_sum(const size_t &NLOOPS, const size_t &N);

vector<double> test_B(const size_t &NLOOPS, const size_t &N, const size_t &M);

vector<double> test_C(const size_t &NLOOPS, const size_t &L, const size_t &M, const size_t &N);

vector<double> test_D(const size_t &NLOOPS, const size_t &N, const size_t &p);